﻿/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import React from "react"
import { Button, Text, TouchableOpacity, View } from "react-native"
import Collapsible from "react-native-collapsible"
import { GlobalStyles } from "../../../utils/GlobalUtils"
import { Separator } from "../../Separator"
import { ProfileSectionStyles } from "../Styles/ProfileSections.styles"
import { ProfileSection } from "./ProfileSection"
import { ProfileSectionHeader } from "./ProfileSectionHeader"

interface SkillsInformationProps {
    openSkills: () => void
    skillsCollapsed: boolean
}

export const ProfileSkills: React.FC<SkillsInformationProps> = ({skillsCollapsed, openSkills}) => {
    return (
        <ProfileSection isCollapsed={skillsCollapsed} collapseToggleMethod={openSkills} title="Skills">
            <View style={GlobalStyles.itemRowContainer}>
                <Text>Skills</Text>
            </View>
            <Button title="Edit skills" color="gray" onPress={() => console.log('edit skills')}  />
        </ProfileSection>
    )
}